Loading...
Searching...
No Matches
SalesforceRestDataProvider::SalesforceRestDataProviderBase Class Reference

The SalesforceRest data provider class. More...

`#include <SalesforceRestDataProviderBase.qc.dox.h>`

Inheritance diagram for SalesforceRestDataProvider::SalesforceRestDataProviderBase:
[legend]

## Public Member Functions

| constructor ()
| Creates the object.
| constructor (SalesforceRestClient::SalesforceRestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Protected Attributes

SalesforceRestClient | rest
| The REST client object for API calls.

## Detailed Description

The SalesforceRest data provider class.